{% extends "app/base.html" %}

{% block content %}

{% include 'app/messages.html' %}
  <table>
    <thead>
      <tr>
        <th>Name</th>
        <th>Categories</th>
        <th>Start time</th>
        <th>End time</th>
        <th>Notes</th>
        <th>Modify</th>
        <th>Delete</th>
        <th>Stop</th>
      </tr>
    </thead>

    <tbody>
      {% if activities_OFF_today %}
        {% for activity in activities_OFF_today %}
        <tr>
          <th> {{ activity.name }} </th>
          <th> {{ activity.tag }} </th>
          <th> {{ activity.start_date }} </th>
          <th> {{ activity.end_date }} </th>
          <th> <a href='{% url "activity_register" id=activity.id %}'>Modify</a> </th>
          <th> <a href='{% url "repeat_activity" id=activity.id path_page=request.path is_record="True" %}'>Repeat</a> </th>
          <th> <a href='{% url "set_favorite_activity" id=activity.id path_page=request.path %}'>Set to favorite</a> </th>
          <th> <a href='{% url "delete_activity" id=activity.id path_page=request.path %}'>Delete</a> </th>
        </th>
        {% endfor %}
      {% endif %}
    </tbody>
  </table>
  
  <hr>
    
  <table>
    <tbody>
      {% if activities_OFF_all %}
        {% for activity in activities_OFF_all %}
        <tr>
          <th> {{ activity.name }} </th>
          <th> {{ activity.tag }} </th>
          <th> {{ activity.start_date }} </th>
          <th> {{ activity.end_date }} </th>
          <th> <a href='{% url "activity_register" id=activity.id %}'>Modify</a> </th>
          <th> <a href='{% url "repeat_activity" id=activity.id path_page=request.path is_record="True" %}'>Repeat</a> </th>
          <th> <a href='{% url "set_favorite_activity" id=activity.id path_page=request.path %}'>Set to favorite</a> </th>
          <th> <a href='{% url "delete_activity" id=activity.id path_page=request.path %}'>Delete</a> </th>
        </th>
        {% endfor %}
      {% endif %}
    </tbody>
  </table>

{% endblock %}
